QuattroGraphInternal::Shape Struct Referencefinal

Internal: a shape of a QuattroGraph. More...

Inheritance diagram for QuattroGraphInternal::Shape:

## Public Member Functions
| Shape ()
| constructor
| ~Shape () final
| destructor
Public Member Functions inherited from QuattroGraphInternal::ShapeHeader
| ShapeHeader ()
| constructor
virtual | ~ShapeHeader ()
| destructor
virtual bool | isTextbox () const
| returns true if the shape is a textbox

## Public Attributes
WPSGraphicShape | m_shape
| the graphic shape
Public Attributes inherited from QuattroGraphInternal::ShapeHeader
int | m_type
| the type
WPSBox2i | m_box
| the bdbox
int | m_id
| an id?
WPSGraphicStyle | m_style
| the graphic style
int | m_values [5]
| optional values
int | m_flags [14]
| some flags
int | m_values2 [4]
| style values
std::string | m_extra
| error message

## Detailed Description

Internal: a shape of a QuattroGraph.

## Constructor & Destructor Documentation

## ◆ Shape()

QuattroGraphInternal::Shape::Shape | ( |  | ) |
| inline

constructor

Referenced by ~Shape().

## ◆ ~Shape()

QuattroGraphInternal::Shape::~Shape | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_shape

WPSGraphicShape QuattroGraphInternal::Shape::m_shape

the graphic shape

Referenced by Shape().

The documentation for this struct was generated from the following file:

- QuattroGraph.cpp